﻿//////////////////////////////////////////////
// GroupBox.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkWinUi
{
	class Static ;
}

/// Includes ---------------------------------

// nkWinUi
#include "Component.h"

#include "../Dll/DllDefines.h"

/// Class ------------------------------------
	
namespace nkWinUi
{
	class DLL_WINUI_EXPORT GroupBox : public Component
	{
		protected :
		
			// Attributs				
			// Variables pour les calculs
			float _textWidth ;
			float _textHeight ;
		
		public :
		
			// Constructeur, destructeur
			GroupBox () ;
			~GroupBox () ;

			// Réécritures
			virtual float getLayoutAllowedWidth () const override ;
			virtual float getLayoutAllowedHeight () const override ;
			virtual float getLayoutAllowedOffsetX () const override ;
			virtual float getLayoutAllowedOffsetY () const override ;
	} ;
}