//////////////////////////////////////////////
// Cursor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// Standards
#include <string>

/// Class ------------------------------------

namespace nkWinUi
{
	class Cursor
	{
		protected :

			// Attributes
			// Nom
			std::string _name ;

		public :

			// Constructeur, destructeur
			Cursor () ;
			virtual ~Cursor () ;

			// Getters
			std::string_view getName () const ;

			// Setters
			void setName (const std::string_view& value) ;

			// Load
			virtual bool load () = 0 ;
			virtual void unload () = 0 ;

			// Activation
			virtual void activate () = 0 ;
			virtual void deactivate () = 0 ;
	} ;
}